﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DTOs
{
    public class AdministratorDto
    {
        /// <summary>
        /// define a DTO for an administrator
        /// properties :
        ///     Id : identifier in the database
        ///     Username : username for a player
        ///     HashedPassword : hashed of the password of the player
        /// </summary>
        public int Id { get; set; }
        public string Username { get; set; } = null!;
        public string HashedPassword { get; set; } = null!;
    }
}
