﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace model
{
    public class Answer
    {
        /// <summary>
        /// define a DTO for an answer for a Question with Mutiple Choice
        /// properties :
        ///     Id : identifier in the database
        ///     Content : content of the answer
        ///     idQuestion : the id of the question which it answer to
        /// </summary>
        public int Id { get; set; }
        public string Content { get; set; } = null!;
        public int? IdQuestion { get; set; }
    }
}
